[Fuego] [PATCH 04/18] need_check: check_kconfig should return 1 on first failure

Daniel Sangorrin daniel.sangorrin at toshiba.co.jp
Tue Jan 30 09:59:22 UTC 2018


Signed-off-by: Daniel Sangorrin <daniel.sangorrin at toshiba.co.jp>
---
 engine/scripts/need_check.sh | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/engine/scripts/need_check.sh b/engine/scripts/need_check.sh
index d85e89a..aa96cbe 100755
--- a/engine/scripts/need_check.sh
+++ b/engine/scripts/need_check.sh
@@ -268,7 +268,9 @@ function check_kconfig {
 
   for cfg in "${arg_array[@]}" ; do
     echo "Checking cfg: [$cfg]"
-    check_one_kconfig $cfg
+    if ! check_one_kconfig $cfg; then
+        return 1
+    fi
   done
 }
 
-- 
2.7.4




More information about the Fuego mailing list